Pencil2d keeps "quoting unexpectedly" not letting me use it. Help?


#1

HELP ME! The software won’t load, and I need it to so that I can animate!


(Jose Moreno) #2

@GiNger4242 Hi. Welcome. A few questions then:

  1. What is your MAC OS version? (example: High Sierra 10.13) To learn about this please follow this guide https://support.apple.com/en-us/HT201260

  2. What version of Pencil2D are you trying to use. Please copy and paste the name of the file you downloaded.

  3. Did Pencil2D work before for you? If so which version?

Just heads up, due to the way Apple keeps pushing their updates to force everyone to upgrade their OS, the framework Pencil2D uses called Qt has a limitation for backwards compatibility. This is not something we can avoid as it depends on which MAC OS versions Qt supports by Apple’s design. If you have an OS version older than 10.11 (El Capitan) we can’t do much except try to create a version with backwards compatibility ourselves, which is not something easy to produce.

In good conscience I can’t recommend using older versions of Pencil2D, becaase there’s so many things that have been changed and that will keep improving, so just in case while our devs look into a way to create these kind of software with backwards compatibility, please consider using other software that does work with your MAC version, here’s a list for your perusal on our blog:

http://pencil2d-software.tumblr.com/post/145767476221/when-youve-worked-all-day-on-your-animation